Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class Regimen

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.Regimen

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class Regimen extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence maxOccurs="unbounded">
             <choice minOccurs="0">
               <element name="daynumber" type="{http://www.w3.org/2001/XMLSchema}positiveInteger"/>
               <element name="date" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}date"/>
               <element name="weekday">
                 <complexType>
                   <complexContent>
                     <extension base="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}weekdayType">
                       <sequence>
                         <element name="weeknumber" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" minOccurs="0"/>
                       </sequence>
                     </extension>
                   </complexContent>
                 </complexType>
               </element>
             </choice>
             <element name="daytime" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <choice>
                       <element name="time" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}time"/>
                       <element name="dayperiod" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}dayperiodType"/>
                     </choice>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="quantity" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}administrationquantityType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Regimen()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<jakarta.xml.bind.JAXBElement<? extends Serializable>>`
  `getDaynumbersAndQuantitiesAndDates()`
  to be used to precise the day of the week of applicability in case of dosage regimen changing over time Gets the value of the daynumbersAndQuantitiesAndDates property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Regimen

    public Regimen()

- ## Method Details

  - ### getDaynumbersAndQuantitiesAndDates

    public List<jakarta.xml.bind.JAXBElement<? extends Serializable>> getDaynumbersAndQuantitiesAndDates()
    to be used to precise the day of the week of applicability in case of dosage regimen changing over time Gets the value of the daynumbersAndQuantitiesAndDates property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the daynumbersAndQuantitiesAndDates property.

    For example, to add a new item, do as follows:

         getDaynumbersAndQuantitiesAndDates().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<``AdministrationquantityType``>` `JAXBElement``<``Daytime``>` `JAXBElement``<``Weekday``>` `JAXBElement``<``BigInteger``>` `JAXBElement``<``Instant``>`

    Returns:
      The value of the daynumbersAndQuantitiesAndDates property.